#pragma once

#include "ml.h"

#include "linenoise.h"

void setup_linenoise(const MlEnvironment &env);
void linenoise_line_read(char *line);
void close_linenoise();


void completion(const char *buf, linenoiseCompletions *lc);
char *hints(const char *buf, int *color, int *bold);
